summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Max Miorim2010-10-25 04:30:00 +0200
committer Erik Hanson2010-10-25 14:55:11 +0200
commit06b293c192d6056a65fed6a2191a3d9a21630292 (patch)
treeb1a95357fbbe88904e9a6515db541730e8dc1171 /system
parentaeeb044d09d4a9df1c887214570a6c9f24b1e1f3 (diff)
downloadslackbuilds-06b293c192d6056a65fed6a2191a3d9a21630292.tar.gz
system/pigz: Added (Parallel gzip)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/pigz/README4
-rw-r--r--system/pigz/pigz.SlackBuild78
-rw-r--r--system/pigz/pigz.info10
-rw-r--r--system/pigz/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/system/pigz/README b/system/pigz/README
new file mode 100644
index 0000000000..0ba01a6bcd
--- /dev/null
+++ b/system/pigz/README
@@ -0,0 +1,4 @@
+pigz, which stands for parallel implementation of gzip, is a fully
+functional replacement for gzip that exploits multiple processors and
+multiple cores to the hilt when compressing data. pigz was written by
+Mark Adler, and uses the zlib and pthread libraries.
diff --git a/system/pigz/pigz.SlackBuild b/system/pigz/pigz.SlackBuild
new file mode 100644
index 0000000000..df83ca18b8
--- /dev/null
+++ b/system/pigz/pigz.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for pigz
+
+# Written by Max Miorim <miorimmax@gmail.com>
+
+PRGNAM=pigz
+VERSION=${VERSION:-2.1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i "s/^CFLAGS=.*/CFLAGS=$SLKCFLAGS/g" Makefile
+
+make
+
+install -D -m 0755 pigz $PKG/usr/bin/pigz
+install -D -m 0755 unpigz $PKG/usr/bin/unpigz
+install -D -m 0644 pigz.1 $PKG/usr/man/man1/pigz.1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/pigz/pigz.info b/system/pigz/pigz.info
new file mode 100644
index 0000000000..d9263fb267
--- /dev/null
+++ b/system/pigz/pigz.info
@@ -0,0 +1,10 @@
+PRGNAM="pigz"
+VERSION="2.1.6"
+HOMEPAGE="http://www.zlib.net/pigz/"
+DOWNLOAD="http://www.zlib.net/pigz/pigz-2.1.6.tar.gz"
+MD5SUM="cbe9030c4be3d0ef2438ee5f8b169ca4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Max Miorim"
+EMAIL="miorimmax@gmail.com"
+APPROVED="dsomero"
diff --git a/system/pigz/slack-desc b/system/pigz/slack-desc
new file mode 100644
index 0000000000..7feb2640c8
--- /dev/null
+++ b/system/pigz/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pigz: pigz (Parallel gzip)
+pigz:
+pigz: pigz, which stands for parallel implementation of gzip, is a fully
+pigz: functional replacement for gzip that exploits multiple processors and
+pigz: multiple cores to the hilt when compressing data. pigz was written by
+pigz: Mark Adler, and uses the zlib and pthread libraries.
+pigz:
+pigz: Home page: http://www.zlib.net/pigz/
+pigz:
+pigz:
+pigz: